MyGUI::MemberObsolete< WidgetManager > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< WidgetManager >:
[legend]

## Public Member Functions

void | destroyWidgetsVector (VectorWidgetPtr &_widgets)
Widget * | findWidgetT (std::string_view _name, bool _throw=true)
Widget * | findWidgetT (std::string_view _name, std::string_view _prefix, bool _throw=true)
void | parse (Widget *_widget, std::string_view _key, std::string_view _value)

## Detailed Description

Definition at line 568 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## destroyWidgetsVector()

void MyGUI::MemberObsolete< WidgetManager >::destroyWidgetsVector | ( | VectorWidgetPtr & | _widgets | ) |

Deprecated
  " is deprecated, use : void WidgetManager::destroyWidgets(VectorWidgetPtr &_widgets)"

Definition at line 1038 of file MyGUI_BackwardCompatibility.cpp.

## findWidgetT() [1/2]

Widget * MyGUI::MemberObsolete< WidgetManager >::findWidgetT | ( | std::string_view | _name,
|  | bool | _throw = true )

Deprecated
  " is deprecated"

Definition at line 1042 of file MyGUI_BackwardCompatibility.cpp.

## findWidgetT() [2/2]

Widget * MyGUI::MemberObsolete< WidgetManager >::findWidgetT | ( | std::string_view | _name,
|  | std::string_view | _prefix,
|  | bool | _throw = true )

Deprecated
  " is deprecated"

Definition at line 1046 of file MyGUI_BackwardCompatibility.cpp.

## parse()

void MyGUI::MemberObsolete< WidgetManager >::parse | ( | Widget * | _widget,
|  | std::string_view | _key,
|  | std::string_view | _value )

Deprecated
  " is deprecated, use : void Widget::setProperty(std::string_view_key, std::string_view_value)"

Definition at line 1050 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp